#! /bin/bash

restartODAE()
{
    echo "[`date '+%Y-%m-%d %H:%M:%S'`] do nothing."

}

fixFIPerm()
{
    sudoExecuteScript="/opt/huawei/Bigdata/om-server/om/sbin/sudo/runtime/sudoExecute.sh"
    if [ -f $sudoExecuteScript ]
    then
        sed -i "s/single_chown root:chrony \/etc\/chrony.conf/single_chown root:root \/etc\/chrony.conf/g"  $sudoExecuteScript
        chown root:root /etc/chrony.conf
    fi
}

Main()
{
    restartODAE
    fixFIPerm
}

Main $*
exit $?
